Corrupted file name when exporting a wiki page with Non-ASCII title using Microsoft's browsers

2017-08-01 13:02 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 3.3.5   

Resolution: Fixed Affected version: 3.3.4

Description

Steps to reproduce:

1. Create a wiki page with Non-ASCII title (e.g. "日本語").

2. Open the wiki page using Microsoft Edge or Internet Explorer.

3. Click "TXT" in "Also available in" area.

4. The page will be exported but its file name is corrupted.

 

Associated revisions

Revision 16957 - 2017-08-30 17:46 - Toshi MARUYAMA

fix file name corruption when export a wiki page with non-ASCII title in MS browsers (#26599)

Contributed by Go MAEDA.

Revision 16959 - 2017-08-30 18:37 - Toshi MARUYAMA

Merged r16957 from trunk to 3.4-stable (#26599)

fix file name corruption when export a wiki page with non-ASCII title in MS browsers.

Contributed by Go MAEDA.

Revision 16960 - 2017-08-30 18:39 - Toshi MARUYAMA

Merged r16957 from trunk to 3.3-stable (#26599)

fix file name corruption when export a wiki page with non-ASCII title in MS browsers.

Contributed by Go MAEDA.
History

#1 - 2017-08-01 13:42 - Go MAEDA

- Target version set to 3.3.5

#2 - 2017-08-01 14:08 - Go MAEDA

- File 0001-Fix-file-name-corruption-when-export-a-wiki-page-wit.patch added

- File 0002-Add-a-test-for-file-name-corruption-when-export-a-wi.patch added

Patch for this issue.

#3 - 2017-08-01 14:38 - Toshi MARUYAMA

If you write non ascii characters in source, you need to encode "\xnn" or add "# encoding: utf-8" header for Ruby version compatibility.

source:tags/3.3.4/test/unit/lib/redmine/i18n_test.rb#L192

source:tags/3.3.4/test/unit/helpers/application_helper_test.rb#L1

#4 - 2017-08-31 06:09 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk, 3.4-stalbe, and 3.3-stable, thanks.

Files

currepted-filename.png 15.9 KB 2017-08-01 Go MAEDA

0001-Fix-file-name-corruption-when-export-a-wiki-page-wit.patch 1.56 KB 2017-08-01 Go MAEDA

0002-Add-a-test-for-file-name-corruption-when-export-a-wi.patch 1.72 KB 2017-08-01 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.4/test/unit/lib/redmine/i18n_test.rb#L192
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.3.4/test/unit/helpers/application_helper_test.rb#L1
http://www.tcpdf.org

